#include <bits/stdc++.h>
using namespace std;

int main(){
	int n, l; cin >> n >> l;
	int rez = -1;
	for(int i = 0; i < n; i++){
		int x; cin >> x;
		if(x <= l){
			rez = i+1;
			break;
		}
	}
	cout<<rez;
}